OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
NormalShader< Film::RGBA, SamplerType > Class Template Reference

`#include <RayTracer.h>`

Inherits BaseShader.

## Public Types
using | RayT = math::Ray< Real >

## Public Member Functions
| NormalShader (const Film::RGBA &c=Film::RGBA(1.0f))
| NormalShader (const NormalShader &)=default
| ~NormalShader () override=default
Film::RGBA | operator() (const Vec3R &, const Vec3R &normal, const Vec3R &) const override
| Defines the interface of the virtual function that returns a RGB color. More...
BaseShader * | copy () const override

## Member Typedef Documentation

## ◆ RayT

using RayT = math::Ray<Real>
| inherited

## Constructor & Destructor Documentation

## ◆ NormalShader() [1/2]

NormalShader | ( | const Film::RGBA & | c = `Film::RGBA(1.0f)` | ) |
| inline

## ◆ NormalShader() [2/2]

NormalShader | ( | const NormalShader< Film::RGBA, SamplerType > & |  | ) |
| default

## ◆ ~NormalShader()

~NormalShader | ( |  | ) |
| override default

## Member Function Documentation

## ◆ copy()

BaseShader* copy | ( |  | ) | const
| inline override virtual

Implements BaseShader.

## ◆ operator()()

Film::RGBA operator() | ( | const Vec3R & | xyz,
|  | const Vec3R & | nml,
|  | const Vec3R & | dir
| ) |  | const
| inline override virtual

Defines the interface of the virtual function that returns a RGB color.

Parameters

  xyz | World position of the intersection point.
  nml | Normal in world space at the intersection point.
  dir | Direction of the ray in world space.

Implements BaseShader.

The documentation for this class was generated from the following file:

- RayTracer.h